> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新组织分组限额

> 更新组织分组配置

需要企业管理员的个人 API key。

<Note>
  此端点要求在你的 Enterprise 帐户中已启用组织分组限额功能。要启用该功能，请联系你的客户团队。
</Note>

使用提供的配置替换整个组织分组配置。未包含在请求中的分组将被删除，而已包含的分组将被创建或更新以匹配提供的配置。每个分组会将一组组织 ID 映射到一个可选的、按计费周期计算的最大 Agent Compute Unit 限额。


## OpenAPI

````yaml zh/v2-openapi.yaml PUT /v2/enterprise/org-group-limits
openapi: 3.1.0
info:
  description: 供企业管理员使用的 Devin v2 API（个人 API key）
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/org-group-limits:
    put:
      tags:
        - org-group-limits
      summary: 更新组织群组配置
      description: |-
        更新组织的群组配置。

        此端点会使用提供的配置替换整个组织的群组配置。
        - 未在请求中包含的群组将被删除
        - 请求中包含的群组将被创建或更新，以与请求中的配置保持一致
      operationId: update_org_groups_config_v2_enterprise_org_group_limits_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrgGroupsConfig'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgGroupsConfig'
          description: 成功响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    OrgGroupsConfig:
      description: 群组名称到其配置的映射表。
      properties:
        groups:
          additionalProperties:
            $ref: '#/components/schemas/OrgGroupConfig'
          title: Groups
          type: object
      required:
        - groups
      title: OrgGroupsConfig
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    OrgGroupConfig:
      properties:
        max_cycle_acus:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Cycle Acus
        org_ids:
          items:
            type: string
          title: Org Ids
          type: array
          uniqueItems: true
      required:
        - org_ids
      title: OrgGroupConfig
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 仅供 Enterprise 管理员使用的个人 API Key（apk_user_*）
      scheme: bearer
      type: http

````